GROUPMOD(8)

NAME
groupmod - ändert die Eigenschaften einer Gruppe auf dem System

ÜBERSICHT

groupmod [Optionen] GRUPPE

BESCHREIBUNG

Der Befehl groupmod ändert die Eigenschaften der angegebenen GRUPPE, indem die passenden Einträge in der Gruppendatenbank geändert werden.

OPTIONEN

Die Optionen, die vom Befehl groupmod unterstützt werden, sind:

-g, --gid GID
    Die Gruppen-ID der angegebenen GRUPPE wird zu GID geändert.

    Der Wert von GID muss eine nicht negative, dezimale Zahl sein. Er muss eindeutig sein, außer wenn die Option -o verwendet wird.

    Benutzer, welche die Gruppe als Hauptgruppe verwenden, werden aktualisiert, um die Gruppe als Hauptgruppe zu behalten.

    Bei Dateien, welche die alte Gruppen-ID haben und weiterhin der Gruppe GROUP gehören sollen, muss die Gruppen-ID per Hand angepasst werden.

    Die Werte von GID_MIN, GID_MAX, SYS_GID_MIN und SYS_GID_MAX aus /etc/login.defs werden nicht geprüft.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-n, --new-name NEUE_GRUPPE
    Der Gruppenname wird vom Namen GRUPPE zu NEUE_GRUPPE geändert.

-o, --non-unique
    Wenn sie mit der Option -g verwendet wird, kann mit ihr der Wert der Gruppen-GID auf einen nicht eindeutigen Wert gesetzt werden.

-p, --password PASSWORT
    das verschlüsselte Passwort, wie es von crypt(3) zurückgegeben wird

    Hinweis: Diese Option ist nicht empfehlenswert, weil das Passwort (auch wenn es verschlüsselt ist) für Benutzer sichtbar ist, die sich den Prozess anzeigen lassen.

    Sie sollten sicherstellen, dass das Passwort den Passwortrichtlinien des Systems entspricht.

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

/etc/passwd
    Informationen zu den Benutzerkonten

RÜCKGABEWERTE

Der Befehl groupmod gibt beim Beenden folgende Werte zurück:

0
    E_SUCCESS: success

2
    E_USAGE: invalid command syntax

3
    E_BAD_ARG: invalid argument to option

4
    E_GID_IN_USE: specified group doesn't exist

6
    E_NOTFOUND: specified group doesn't exist

9
    E_NAME_IN_USE: group name already in use

10
    E_GRP_UPDATE: can't update group file

11
    E_CLEANUP_SERVICE: can't setup cleanup service

12
    E_PAM_USERNAME: can't determine your username for use with pam

13
    E_PAM_ERROR: pam returned an error, see syslog facility id groupmod for the PAM error message

SIEHE AUCH

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), login.defs(5), useradd(8), userdel(8), usermod(8).